Bug 168406 - DPI information in exported PNG images is always 72
DPI information in exported PNG images is always 72
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 15:36 EDT by Petr Tuma
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 03:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Tuma 2005-09-15 15:36:26 EDT
Description of problem: When exporting a PNG image (I am using the command line
interface, specifically the -e and -d switches), the DPI information inside the
PNG file is always set to 72, even though scaling works well,


Version-Release number of selected component (if applicable): inkscape-0.42-2.fc4


How reproducible: Take any SVG image and do "inkscape IMAGE.SVG -d 300 -e
IMAGE.PNG". Take a look at the DPI information in the output image, e.g. with
"identify -verbose IMAGE.PNG" from ImageMagick, the DPI inside the file is 72.
Comment 1 Michael Schwendt 2005-09-22 09:07:57 EDT
Please report this upstream at http://www.inkscape.org/report_bugs.php
and add the ticket URL here. Thank you!
Comment 2 Petr Tuma 2005-09-22 09:57:39 EDT
Registered at InkScape Bugzilla as bug 1297605 at
http://sourceforge.net/tracker/index.php?func=detail&aid=1297605&group_id=93438&atid=604306.
Comment 3 Denis Leroy 2006-08-11 03:55:28 EDT
I added this upstream patch to fix the problem.

http://sourceforge.net/tracker/index.php?func=detail&aid=1498946&group_id=93438&atid=604308

Will be fixed in FC-6. If anyone needs this fix in FC-5 or FC-4, please reopen
the bug.

Note You need to log in before you can comment on or make changes to this bug.